{
    "type": "project",
    "license": "proprietary",
    "minimum-stability": "stable",
    "prefer-stable": true,
    "require": {
        "php": ">=8.4",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "1tomany/rich-bundle": "^1.8",
        "aimeos/map": "^3.12",
        "chrisullyott/php-filesize": "^4.2",
        "doctrine/dbal": "^3",
        "doctrine/doctrine-bundle": "^2.14",
        "doctrine/doctrine-fixtures-bundle": "^4.1",
        "doctrine/doctrine-migrations-bundle": "^3.4",
        "doctrine/orm": "^3.3",
        "dragonmantank/cron-expression": "^3.4",
        "drenso/symfony-oidc-bundle": "^4.2",
        "guzzlehttp/guzzle": "^7.9",
        "league/pipeline": "^1.1",
        "nesbot/carbon": "^3.9",
        "nihilarr/parse-torrent-name": "^0.0.1",
        "nyholm/psr7": "*",
        "p3k/emoji-detector": "^1.2",
        "php-http/cache-plugin": "^2.0",
        "php-tmdb/api": "^4.1",
        "phpdocumentor/reflection-docblock": "^5.6",
        "phpstan/phpdoc-parser": "^2.1",
        "predis/predis": "^2.4",
        "runtime/frankenphp-symfony": "^0.2.0",
        "sentry/sentry-symfony": "^5.6",
        "spatie/icalendar-generator": "^3.0",
        "spomky-labs/pwa-bundle": "^1.2",
        "stof/doctrine-extensions-bundle": "^1.14",
        "symfony/asset": "7.3.*",
        "symfony/console": "7.3.*",
        "symfony/doctrine-messenger": "7.3.*",
        "symfony/dotenv": "7.3.*",
        "symfony/filesystem": "7.3.*",
        "symfony/finder": "7.3.*",
        "symfony/flex": "^2",
        "symfony/form": "7.3.*",
        "symfony/framework-bundle": "7.3.*",
        "symfony/http-client": "7.3.*",
        "symfony/ldap": "7.3.*",
        "symfony/mailer": "7.3.*",
        "symfony/mercure-bundle": "^0.3.9",
        "symfony/messenger": "7.3.*",
        "symfony/monolog-bundle": "^3.10",
        "symfony/notifier": "7.3.*",
        "symfony/ntfy-notifier": "7.3.*",
        "symfony/object-mapper": "7.3.*",
        "symfony/property-access": "7.3.*",
        "symfony/property-info": "7.3.*",
        "symfony/runtime": "7.3.*",
        "symfony/scheduler": "7.3.*",
        "symfony/security-bundle": "7.3.*",
        "symfony/serializer": "7.3.*",
        "symfony/stimulus-bundle": "^2.24",
        "symfony/twig-bundle": "7.3.*",
        "symfony/ux-autocomplete": "^2.27",
        "symfony/ux-icons": "^2.24",
        "symfony/ux-live-component": "^2.24",
        "symfony/ux-turbo": "^2.24",
        "symfony/ux-twig-component": "^2.24",
        "symfony/yaml": "7.3.*",
        "symfonycasts/reset-password-bundle": "^1.23",
        "symfonycasts/tailwind-bundle": "^0.10.0",
        "twig/extra-bundle": "^2.12|^3.0",
        "twig/twig": "^2.12|^3.0",
        "web-token/jwt-library": "^4.0"
    },
    "config": {
        "allow-plugins": {
            "php-http/discovery": true,
            "symfony/flex": true,
            "symfony/runtime": true
        },
        "platform": {
            "php": "8.4"
        },
        "bump-after-update": true,
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*",
        "symfony/polyfill-php73": "*",
        "symfony/polyfill-php74": "*",
        "symfony/polyfill-php80": "*",
        "symfony/polyfill-php81": "*",
        "symfony/polyfill-php82": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd",
            "importmap:install": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ],
        "tail": "docker compose exec app ./bin/console tailwind:build --watch",
        "sym": "docker compose exec app ./bin/console"
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "7.3.*"
        }
    },
    "require-dev": {
        "phpstan/phpstan": "^2.1",
        "phpunit/phpunit": "^12.3",
        "symfony/maker-bundle": "^1.62",
        "symfony/stopwatch": "7.3.*",
        "symfony/web-profiler-bundle": "7.3.*"
    }
}
